Receive Comments List
GET /tickets/:ticket_id/comments/
Example URL
https://system_domain/api/v2/tickets/123/comments/?page=1
PATH Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
ticket_id | number | Yes | Technical ID of the ticket from which the comments will be retrieved |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number |
Response Example:
Response Example
{
"data": [
{
"ticket_id": 1,
"id": 13768,
"user_id": 1,
"text": "<p>Attachment</p>",
"date_created": "08:48:56 21.11.2025",
"visible": "staff",
"files": [
{
"name": "test.png",
"url": "https://system_domain/ru/file/download/4e572d03b3607f137094afb2dac6b98b5d9f5712",
"data_type": "png"
}
]
},
{
"ticket_id": 1,
"id": 13767,
"user_id": 1,
"text": "Test",
"date_created": "08:42:13 21.11.2025",
"visible": "staff",
"files": []
}
],
"pagination": {
"total": 2,
"per_page": 30,
"current_page": 1,
"total_pages": 1
}
}